<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) 2014 Tanel Põld <tanel@brightside.ee>, t3brightside.com
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/


class Tx_Youtubevideo_Controller_YoutubevideoController extends Tx_Extbase_MVC_Controller_ActionController {
	public function initializeAction() {
    }
	/**
     * @return string The rendered view
     */
	public function indexAction() {
		$this->contentObj = $this->configurationManager->getContentObject();
   		
   		$data = $this->contentObj->data;
   		$youtube_url = $data['tx_youtubevideo_url'];

/* parse youtube code to video ID */
		$pattern = '~(?:http|https|)(?::\/\/|)(?:www.|)(?:youtu\.be\/|youtube\.com(?:\/embed\/|\/v\/|\/watch\?v=|\/ytscreeningroom\?v=|\/feeds\/api\/videos\/|\/user\S*[^\w\-\s]|\S*[^\w\-\s]))([\w\-]{11})[a-z0-9;:@?&%=+\/\$_.-]*~i';
		$youtube_id = (preg_replace($pattern, '$1', $youtube_url)); 


   		$caption = $data['tx_youtubevideo_caption'];
   		$autoplay = $data['tx_youtubevideo_autoplay'];
   		$showinfo = $data['tx_youtubevideo_showinfo'];
   		$rel = $data['tx_youtubevideo_rel'];
   		$startminute = $data['tx_youtubevideo_startminute'];
   		$startsecond = $data['tx_youtubevideo_startsecond'];
   		$start = ($startminute * 60) + $startsecond;

   		$ratio = $data['tx_youtubevideo_ratio'];

    	$uid = $data['uid'];
    	
    	$this->view->assign('code', $youtube_id);
    	$this->view->assign('caption', $caption);
    	$this->view->assign('autoplay', $autoplay);
    	$this->view->assign('showinfo', $showinfo);
    	$this->view->assign('rel', $rel);
    	$this->view->assign('start', $start);
    	$this->view->assign('ratio', $ratio);

    	$this->view->assign('uid', $uid);
    	$this->view->assign('data', $data);
    }
}
?>